# set\_is\_v1\_lp

An entrypoint that setups a new boolean flag: is QuipuSwap V1 LP token staked on the farm or not. Needs only in time when farm was deployed with incorrect `is_v1_lp` staked parameter.

### Call parameters

```pascaligo
type set_is_v1_lp_type  is [@layout:comb] record [
  fid                     : fid_type;
  is_v1_lp                : bool;

```

| Field      | Type            | Description                                              |
| ---------- | --------------- | -------------------------------------------------------- |
| fid        | fid\_type (nat) | Farm's ID                                                |
| is\_v1\_lp | bool            | Flag that indicates: QuipuSwap V1 LP token staked or not |

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const tFarmAddress = "KT1...";
const params = {
    fid: 1,
    is_v1_lp: true, // or false
};
const tFarm = await tezos.contract.at(tFarmAddress);
const operation = await tFarm.methodsObject.set_is_v1_lp(params).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `Not-admin` - `sender` of the transaction is not current administrator.
* `QSystem/farm-not-set` - farming with `fid` parameter doesn't exist.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/farming/tfarm-contract/entrypoints-overview/admin-entrypoints/set_is_v1_lp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
